/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.Ciudad;
import com.rjconsultores.ventaboletos.entidad.Colonia;

import java.util.List;

/**
 *
 * @author Rafius
 */
public interface ColoniaDAO extends GenericDAO<Colonia, Integer> {

    public List<Colonia> buscar(String desccolonia);
    public List<Colonia> buscarPorCiudad(Ciudad ciudad);
	public List<Colonia> buscaLike(String desccolonia);
    public List<Colonia> buscarPorCodMun(Ciudad ciudad, String desccolonia);
}
